Project

General

Profile

Actions

Refactor #10812

closed

Remove require 'fog'

Added by Dominic Cleal almost 9 years ago. Updated almost 9 years ago.

Status:
Closed
Priority:
Normal
Assignee:
-
Category:
Plugin (foreman_docker)
Target version:
-
Difficulty:
Triaged:
Fixed in Releases:
Found in Releases:

Description

In #8516 (Foreman 1.9.0) we removed the require 'fog' from core and now only load parts of Fog that we need, e.g. 'fog/libvirt'.

foreman_docker has a require 'fog' call here, which can be removed to give a performance boost: https://github.com/theforeman/foreman-docker/blob/master/lib/foreman_docker/engine.rb#L3


Related issues 1 (0 open1 closed)

Related to Foreman - Refactor #8516: Remove require 'fog' and only load specific providersClosedTom Caspy11/26/2014Actions
Actions

Also available in: Atom PDF